# -*- coding: utf-8 *-*
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Constants for the proper platform."""

# To start hashing a file, no new hash request should arrive
# for it within this amount of seconds:

import sys

if sys.platform == "win32":
    HASHQUEUE_DELAY = 3.0
else:
    HASHQUEUE_DELAY = 0.5
