# -*- coding: utf-8 *-*
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
"""Use libunity to show a progressbar and emblems on the launcher icon."""

import sys


if sys.platform == "win32":
    from ubuntuone.platform.windows import launcher
    source = launcher
else:
    from ubuntuone.platform.linux import launcher
    source = launcher

U1_DOTDESKTOP = source.U1_DOTDESKTOP

UbuntuOneLauncher = source.UbuntuOneLauncher
DummyLauncher = source.DummyLauncher
